%define patch_name	kernel-fix-drivers-i2c

Name: %patch_name
Version: 2005.05.10
Release: alt1

Summary: %patch_name - Linux kernel I2C subsystem and drivers fixes
License: GPL
Group: Development/Kernel
Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>

# Patches for 2.4.x

# Patches for 2.6.x
%source 2600	2.6_00_i2c-eeprom-oops.patch		2.6
%source 2601	2.6_01_i2c-sysfs-permissions.patch	2.6
%source 2602	2.6_02_i2c-ali1563-fix.patch		2.6

BuildArch: noarch
BuildRequires: kernel-build-tools

%description
Linux kernel I2C subsystem and drivers fixes

%install
%install_patches

%files
%_usrsrc/*

%changelog
* Tue May 10 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.05.10-alt1
- Removed obsolete patches:
  - 2.6_00_076-i2c_ali1563_devinit_fixes.patch
- Added patches for 2.6:
  + 2.6_00_i2c-eeprom-oops.patch: fix oops in the eeprom driver
  + 2.6_01_i2c-sysfs-permissions.patch: fix sysfs permissions in it87 and
    via686a drivers (could cause oops if write is attempted)
  + 2.6_02_i2c-ali1563-fix.patch: fix multiple bugs in i2c-ali1563 driver

* Wed Feb 09 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.02.09-alt1
- Initial release.
- Added patches from 2.6.10-as3:
  + 2.6_00_076-i2c_ali1563_devinit_fixes.patch
